%define name qla4xxx
%define version 5.01.01.04

%define debug_package %{nil}

Summary: QLogic iSCSI Driver 
Name: %{name}
Version: %{version}
Release: 1
Vendor: QLogic Corporation
License: GPL
Group: System Environment/Base
Source: qla4xxx-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains Qlogic driver for QMH4062 iSCSI HBA

%prep
%setup -T -b 0

%build
./extras/build.sh 

%install
KVER=`uname -r`

DRIVER=qla4xxx.ko
echo "%defattr(-,root,root)" > $RPM_BUILD_DIR/file.list.%{name}
echo "/lib/modules/$KVER/kernel/drivers/scsi/qla4xxx/qla4xxx.ko" >> $RPM_BUILD_DIR/file.list.%{name}


./extras/build.sh install $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT/usr/src/doc/%{name}-%{version} 
#cp README.qla4xxx.txt LICENSE.qla4xxx $RPM_BUILD_ROOT/usr/src/doc/%{name}-%{version}

%post
depmod -a > /dev/null 2> /dev/null
exit 0

%postun
depmod -a > /dev/null 2> /dev/null
exit 0

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc README.qla4xxx.txt LICENSE.qla4xxx

%changelog
